POST
Create webhook secret
Create a webhook secret for a specified enterprise or organization.
This secret will be used to generate webhook notification signatures so that you can verify that the notification comes from BitGo using the v2.webhook.notification.verify endpoint.
The secret can be rotated by calling this endpoint again at a cadence of once every 5 minutes.
You must specify exactly one of enterpriseId or organizationId.
The requester must be an admin of the specified enterprise or organization.
Body Params
object
-
enterpriseIdstring -
organizationIdstring
Responses
200
OK
Response Body
object
-
secretstring required
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
403
Forbidden
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id